

#include <LiquidCrystal.h>


#define m1 6
#define m2 9
#define m3 10
#define m4 5
#define m5 13
#define m6 11



//SoftwareSerial mySerial(8, 9); // RX, TX

const int rs = 12, en = 8, d4 = A0, d5 = A1, d6 = A2, d7 = A3;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);


//int pos = 0;    // variable to store the servo position
String data;
int barcode = 0; //variable to store data received

void setup() {
  Serial.begin(9600);
  Serial1.begin(9600);
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);  
  pinMode(m1, OUTPUT);
  pinMode(m2, OUTPUT);
  pinMode(m3, OUTPUT);
  pinMode(m4, OUTPUT);
  pinMode(m5, OUTPUT);
  pinMode(m6, OUTPUT);

  lcd.print("hello, Welcome to FAB Lab Khairpur!");
  lcd.setCursor(0, 1);
  lcd.print("Maneged by Sukkur IBA Univeristy!");
}

//----------------------------start of the main program----------------------------
void loop() {
  for (int positionCounter = 0; positionCounter < 13; positionCounter++) {
    // scroll one position left:
    lcd.scrollDisplayLeft();
    // wait a bit:
    delay(350);
  }
  
  if(Serial1.available()){     // If anything comes in Serial1 (pins 0 & 1)
  lcd.clear();
  data = Serial1.readString();
  barcode = data.toInt();
  Serial.println(barcode);
  }
  
  //------------------------------Lays-------------------------------
  if(barcode == 120){   
  Serial.println(barcode);
  analogWrite(m1, 230);
  delay(2000);
  analogWrite(m1, 0);
  delay(50);
  barcode = 0;

  lcd.clear();
  lcd.print("You have chose Lays of Worth Rs.20");
  lcd.setCursor(0, 1);
  lcd.print("Thank you for Shopping With us. Good Day!");
 }
 
  //------------------------------Biscuits-------------------------------
  else if(barcode == 220){
  //Serial.write(Serial1.read());   
  analogWrite(m2, 230);
  delay(1500);
  analogWrite(m2, 0);
  delay(50);
  barcode = 0;

  lcd.clear();
  lcd.print("You have chose Biscuits of Worth Rs.20");
  lcd.setCursor(0, 1);
  lcd.print("Thank you for Shopping With us. Good Day!");
 }
 
  //------------------------------Chocklets-------------------------------
  else if(barcode == 320){ 
  analogWrite(m3, 230);
  delay(1500);
  analogWrite(m3, 0);
  delay(50);
  barcode = 0;

  lcd.clear();
  lcd.print("You have chose Galaxy of Worth Rs.30");
  lcd.setCursor(0, 1);
  lcd.print("Thank you for Shopping With us. Good Day!");
 }
 
 //------------------------------Chocklets-------------------------------
 else if(barcode == 430){ 
  analogWrite(m4, 230);
  delay(1500);
  analogWrite(m4, 0);
  delay(50);
  barcode = 0;

  lcd.clear();
  lcd.print("You have chose Dairy Milk of Worth Rs.30");
  lcd.setCursor(0, 1);
  lcd.print("Thank you for Shopping With us. Good Day!");
 }
 
 //------------------------------Chocklets-------------------------------
 else if(barcode == 520){ 
  analogWrite(m5, 230);
  delay(1500);
  analogWrite(m5, 0);
  delay(50);
  barcode = 0;

  lcd.clear();
  lcd.print("You have chose KitKat of Worth Rs.20");
  lcd.setCursor(0, 1);
  lcd.print("Thank you for Shopping With us. Good Day!");
 }
 
 //------------------------------Chocklets-------------------------------
 else if(barcode == 630){ 
  analogWrite(m6, 230);
  delay(1500);
  analogWrite(m6, 0);
  delay(50);
  barcode = 0;

  lcd.clear();
  lcd.print("You have chose Perk Chocklets of Worth Rs.30");
  lcd.setCursor(0, 1);
  lcd.print("Thank you for Shopping With us. Good Day!");
  /*for (pos = 180; pos >= 0; pos -= 1) { // goes from 180 degrees to 0 degrees
    myservo2.write(pos);              // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15ms for the servo to reach the position
  }*/
 }
 else{
  analogWrite(m1, 0);
  delay(500);
  analogWrite(m2, 0);
  delay(500);
  analogWrite(m3, 0);
  delay(500);
  analogWrite(m4, 0);
  delay(500);
  analogWrite(m5, 0);
  delay(500);
  analogWrite(m6, 0);
  delay(500);
  lcd.clear();
  //lcd.print("Sorry, Incorrect choise.");
  //lcd.setCursor(0, 1);
  //lcd.print("Please see the barcode menu if you need anything else. Thank you!");
  }
  //}
//----------------------------end of the main program----------------------------
}
